#include <stdio.h>
int main()
{
    long long int n, k, i, j, x=0;
    scanf("%lld%lld", &n, &k);
    long long int a[k];
    for(i=1;i<=k;i++)
    {
        scanf("%lld", &a[i]);
    }
    for(i=1;i<=k;i++)
    {
        for(j=1;j<=k;j++)
        {
            if(a[i]%a[j]==0)
            {
                x^=a[j];
            }
        }
        printf("%lld ", x);
        x=0;
    }
}